Bug 250485 - dns/knot3: upgrade to 3.0.3
Summary: dns/knot3: upgrade to 3.0.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL: https://www.knot-dns.cz/2020-12-15-ve...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-20 11:13 UTC by Leo Vandewoestijne
Modified: 2020-12-29 12:22 UTC (History)
2 users (show)

See Also:
fernape: merge-quarterly?


Attachments
knot3 3.0.1 (937 bytes, patch)
2020-10-20 11:13 UTC, Leo Vandewoestijne
freebsd: maintainer-approval+
Details | Diff
knot3 (1.13 KB, patch)
2020-10-21 11:48 UTC, Leo Vandewoestijne
no flags Details | Diff
knot 3.0.2 (1.21 KB, patch)
2020-12-15 09:12 UTC, Leo Vandewoestijne
no flags Details | Diff
knot 3.0.3 (1.17 KB, patch)
2020-12-16 10:54 UTC, Leo Vandewoestijne
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Leo Vandewoestijne 2020-10-20 11:13:38 UTC
Created attachment 218916 [details]
knot3 3.0.1

Attached (simple) patch is to upgrade Knot-DNS from 3.0.0 to 3.0.1

I've tested it in poudriere (12.1/amd64), plus I'm running the server w/o problems.
Comment 1 Fernando Apesteguía freebsd_committer 2020-10-21 07:17:39 UTC
^Triage: Bugfix release, merge to quarterly branch.

Q/A: Makefile: "USES" has to appear earlier.

Thanks!
Comment 2 Leo Vandewoestijne 2020-10-21 11:48:47 UTC
Created attachment 218942 [details]
knot3

(In reply to Fernando Apesteguía from comment #1)

Oh, didn't touch that, but was easy to solve.
By these a new patch (this time a svn diff).
Comment 3 Fernando Apesteguía freebsd_committer 2020-10-21 11:50:43 UTC
(In reply to Leo Vandewoestijne from comment #2)

Thanks for that!
Comment 4 Leo Vandewoestijne 2020-12-15 09:12:03 UTC
Created attachment 220574 [details]
knot 3.0.2

Meanwhile 3.0.2 was released.
This patch updates accordingly.

Tested successful in Poudriere
(and contains the moving of USES also).
Comment 5 Leo Vandewoestijne 2020-12-16 10:54:27 UTC
Created attachment 220614 [details]
knot 3.0.3

Exactly when I posted the 3.0.2 patch, 3.0.3 was released.
This patch updates accordingly.

Tested successful in Poudriere
(and contains the moving of USES also).
Comment 6 Kurt Jaeger freebsd_committer 2020-12-29 12:22:04 UTC
Committed, thanks!
Comment 7 commit-hook freebsd_committer 2020-12-29 12:22:52 UTC
A commit references this bug:

Author: pi
Date: Tue Dec 29 12:22:02 UTC 2020
New revision: 559569
URL: https://svnweb.freebsd.org/changeset/ports/559569

Log:
  dns/knot3: update 3.0.0 -> 3.0.3

  PR:		250485
  Submitted by:	Leo Vandewoestijne <freebsd@dns.company> (maintainer)
  Relnotes:	https://www.knot-dns.cz/2020-12-15-version-303.html
  		https://www.knot-dns.cz/2020-11-11-version-302.html
  		https://www.knot-dns.cz/2020-10-10-version-301.html

Changes:
  head/dns/knot3/Makefile
  head/dns/knot3/distinfo